Skype for Linux

Различное программное обеспечения. Параметры настройки, советы по применению
Серый
Сообщения: 844
Зарегистрирован: 27 сен 2012, 19:20
Темы: 102
Статус: Не в сети

Skype for Linux

Сообщение Серый » 21 янв 2013, 22:51

Итак, немного об скайпе под линухом.
Значит была у меня версия 2.x.x скайпа из коробки, не понравилась она мне, ибо глюков было много, постоянно падала. Решил я обновиться. Залез в репы:

Код: Выделить всё

seryi@seryi-laptop:~$ apt-cache show skype
Package: skype
Status: install ok installed
Priority: extra
Section: non-free/net
Installed-Size: 36231
Maintainer: Skype Technologies <info@skype.net>
Architecture: i386
Version: 4.1.0.20-1
Replaces: skype-mid, skype-common, skype-bin
Depends: libasound2 (>> 1.0.22), libc6 (>= 2.3.6-6~), libc6 (>= 2.7), libgcc1 (>= 1:4.1.1), libqt4-dbus (>= 4:4.5.3), libqt4-network (>= 4:4.5.3), libqt4-webkit (>= 4:4.5.3), libqt4-xml (>= 4:4.5.3), libqtcore4 (>= 4:4.6.1), libqtgui4 (>= 4:4.6.1), libstdc++6 (>= 4.4.0), libx11-6 (>= 0), libxext6 (>= 0), libxss1, libxv1
Conflicts: skype-mid, skype-common, skype-bin
Conffiles:
 /etc/dbus-1/system.d/skype.conf d09fd2adb2487dbaaeb97c43f6cdc08d
Description: Wherever you are, wherever they are
 Skype keeps you together. Call, see, message and share with others.
  * It's free to download and join.
  * Call, instant message and send photos and documents to anyone else on Skype.
  * And with a webcam you can catch up face-to-face with a video call.
  * Call mobiles and landlines worldwide at low rates.
  * Easily text message anywhere in the world.
  * Get your friends together on a conference call.
 .
 And that's just the start...
Пробовал поставить - не получилось (тут пардон - логи не сохранил).
Потом я зашёл на официальный сайт скайпа и скачал deb пакет отсюда http://www.skype.com/intl/ru/get-skype/ ... ter/linux/ и попробовал его поставить простым народным методом

Код: Выделить всё

sudo gdebi skype-ubuntu-lucid_4.1.0.20-1_i386.deb
ну или можно по другому

Код: Выделить всё

sudo dpkg -i skype-ubuntu-lucid_4.1.0.20-1_i386.deb
Тут отмечу, что я скачал пакет для убунты, естественно каждый на странице http://www.skype.com/intl/ru/get-skype/ ... ter/linux/ должен найти, скачать и поставить свой пакет.
И тут оказалось, что не принимает его система, говорит, что старый скайп надо удалить.
Это просто

Код: Выделить всё

sudo dpkg -P skype
или

Код: Выделить всё

sudo apt-get purge skype
Это кому как нравится.
И только после этого новый скайп стал красиво

Код: Выделить всё

sudo gdebi skype-ubuntu-lucid_4.1.0.20-1_i386.deb
Отмечу, что новый скайп начал кушать оперативку немеренно (по сравнению со своим предшественником), да и проц тоже, хотя надо отметить, что не падает.
Но, это проблема больше обладателей старых компьютеров, если у вас оперативки много (гиг - два) - для вас это не проблема.
Итак, вот он - новый скайп, рекомендую :)

Код: Выделить всё

seryi@seryi-laptop:~/dl$ skype --version
Skype 4.1.0.20
Copyright (c) 2004-2012, Skype

Аватара пользователя
Александр
Сообщения: 70
Зарегистрирован: 30 сен 2012, 08:59
Темы: 2
Статус: Не в сети

Re: Skype for Linux

Сообщение Александр » 22 янв 2013, 15:40

Блин, там больше нет версии 64. В предыдущей версии была. Не обновлюсь.

12321
Сообщения: 3
Зарегистрирован: 25 фев 2013, 21:13
Темы: 0
Статус: Не в сети

Re: Skype for Linux

Сообщение 12321 » 25 фев 2013, 21:39

А у меня так быстро не получается :(
В crunchbang 11 пытаюсь установить skype из репозитария:
$ sudo aptitude install skype
Следующие НОВЫЕ пакеты будут установлены:
libqt4-dbus{a} libqt4-network{a} libqt4-xml{a} libqtdbus4{a}
libqtwebkit4{a} libxss1{a} qdbus{a}
Следующие пакеты будут обновлены:
libqtcore4
Следующие частично установленные пакеты будут настроены:
skype
1 пакетов обновлено, 7 установлено новых, 0 пакетов отмечено для удаления, и 112 пакетов не обновлено.
Необходимо получить 9 143 kB архивов. После распаковки 28,5 MB будет занято.
Следующие пакеты имеют неудовлетворённые зависимости:
libqtgui4 : Зависит: libqtcore4 (= 4:4.8.2+dfsg-9) но устанавливается 4:4.8.2+dfsg-11.
Следующие действия разрешат зависимости:

Удалить следующие пакеты:
1) libqtgui4
2) skype
3) vlc

Сохранить для следующих пакетов их текущие версии:
4) libqtwebkit4 [Не установлен]

Оставить следующие зависимости неразрешёнными:
5) cb-metapackage рекомендует vlc


Принять данное решение? [Y/n/q/?]

Я не хочу удалять vlc, но хочу устновить skype как быть?

Аватара пользователя
ZEN
Администратор
Сообщения: 1342
Зарегистрирован: 27 сен 2012, 18:23
Темы: 204
Откуда: Украина, Одесса
Статус: Не в сети

Re: Skype for Linux

Сообщение ZEN » 25 фев 2013, 21:46

12321, попробуй скачать пакет с официального сайта скайп. Он без проблем установится

UPD Быстрый вариант установки Skype 4.1.0 через терминал в CrunchBang 11 Waldorf
/bin/bash писал(а):cd /tmp
wget http://download.skype.com/linux/skype-debian_4.1.0.20-1_i386.deb
sudo dpkg -i skype-debian_4.1.0.20-1_i386.deb
sudo apt-get install -f
бог создал труд и обезьяну
чтоб получился человек
а вот пингвина он не трогал
тот сразу вышел хорошо

Серый
Сообщения: 844
Зарегистрирован: 27 сен 2012, 19:20
Темы: 102
Статус: Не в сети

Re: Skype for Linux

Сообщение Серый » 25 фев 2013, 21:59

Как вариант надо вначале удалить старый скайп полностью.
Кроме того странно, но я в репах в 11-ом кранче скайп вообще не наблюдаю...

12321
Сообщения: 3
Зарегистрирован: 25 фев 2013, 21:13
Темы: 0
Статус: Не в сети

Re: Skype for Linux

Сообщение 12321 » 25 фев 2013, 22:11

Спасибо, до этого делал как написано на wiki.debian.org/skype:

# wget -O skype-install.deb http://www.skype.com/go/getskype-linux-deb
# dpkg -i skype-install.deb

$ sudo dpkg -i skype-install.deb
[sudo] password for ivan:
(Чтение базы данных … на данный момент установлено 92403 файла и каталога.)
Подготовка к замене пакета skype 4.1.0.20-1 (используется файл skype-install.deb) …
Распаковывается замена для пакета skype …
dpkg: зависимости пакетов не позволяют настроить пакет skype:
skype зависит от libqt4-dbus (>= 4:4.5.3), однако:
Пакет libqt4-dbus не установлен.
skype зависит от libqt4-network (>= 4:4.8.0), однако:
Пакет libqt4-network не установлен.
skype зависит от libqt4-xml (>= 4:4.5.3), однако:
Пакет libqt4-xml не установлен.
skype зависит от libqtwebkit4 (>= 2.1.0~2011week13), однако:
Пакет libqtwebkit4 не установлен.
skype зависит от libxss1, однако:
Пакет libxss1 не установлен.

dpkg: ошибка при обработке параметра skype (--install):
проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для desktop-file-utils …
При обработке следующих пакетов произошли ошибки:
skype

но вот последней команде не придал значения (# apt-get -f install) оказывается вся загвоздка была в ней. Еще раз спасибо!
А все таки, почему aptitude не сработал? Вроде как через него рекомендуют ставить программы.

12321
Сообщения: 3
Зарегистрирован: 25 фев 2013, 21:13
Темы: 0
Статус: Не в сети

Re: Skype for Linux

Сообщение 12321 » 25 фев 2013, 22:14

Дополнительно устанавливал такой репозитарий: deb http://download.skype.com/linux/repos/dedian/ stable non-free

Серый
Сообщения: 844
Зарегистрирован: 27 сен 2012, 19:20
Темы: 102
Статус: Не в сети

Re: Skype for Linux

Сообщение Серый » 25 фев 2013, 22:18

12321 писал(а):Дополнительно устанавливал такой репозитарий: deb http://download.skype.com/linux/repos/dedian/ stable non-free
Понял.

Кстати если ставить через apt-get, то он сам предлагает apt-get -f install если есть проблемы.
Я aptitude пользуюсь только когда apt-get не справляется.

Аватара пользователя
ZEN
Администратор
Сообщения: 1342
Зарегистрирован: 27 сен 2012, 18:23
Темы: 204
Откуда: Украина, Одесса
Статус: Не в сети

Re: Skype for Linux

Сообщение ZEN » 25 фев 2013, 22:34

12321, на самом деле все просто. по команде dpkg -i устанавливается указанный пакет. но для его работы нужны другие пакеты, которые есть в репозитории. Но что бы не объяснять какие из написанных библиотек dpkg надо установить я порекомендовал запустить apt-get install -f . Данной командой apt-get автоматически нашел не настроенный пакет skype, нашел зависимости пакетов и предложил их установить.

К слову, бывает и другая ситуация. Когда по зависимостям библиотеки в репозитории пакета нет и apt-get предлагает удалить не настроенный пока что пакет.
бог создал труд и обезьяну
чтоб получился человек
а вот пингвина он не трогал
тот сразу вышел хорошо

Серый
Сообщения: 844
Зарегистрирован: 27 сен 2012, 19:20
Темы: 102
Статус: Не в сети

Re: Skype for Linux

Сообщение Серый » 30 авг 2013, 18:37

В Arch Linux ставится так

Код: Выделить всё

sudo pacman -S skype
Последняя версия в репах арча на сегодняшний день 4.2.0.11-3

Да и выглядит красиво.

Изображение

Изображение

Короче мне нра) Пока вроде глюков не наблюдаю.

Ответить

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей